%if 0%{?fedora}
%global with_python3 1
%endif

%global pypi_name XStatic-Angular

Name:           python-%{pypi_name}
Version:        1.5.8.0
Release:        1%{?dist}
Epoch:          1
Summary:        Angular (XStatic packaging standard)

License:        MIT
URL:            http://angularjs.org
Source0:        https://files.pythonhosted.org/packages/source/X/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
%description
Angular JavaScript library packaged for
setuptools (easy_install) / pip.

This package is intended to be used by
**any** project that needs these files.

It intentionally does **not** provide
any extra code except some metadata
**nor** has any extra requirements. You MAY
use some minimal support code from
the XStatic base package, if you like.

%package -n python2-%{pypi_name}
Summary:        Angular (XStatic packaging standard)

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  web-assets-devel

Requires: python2-XStatic
Requires: XStatic-Angular-common = %{epoch}:%{version}-%{release}

Obsoletes: python-XStatic-Angular-Cookies < 1.3.0.0-1
Provides: python-XStatic-Angular-Cookies = %{version}-%{release}

%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
Angular JavaScript library packaged for
setuptools (easy_install) / pip.

This package is intended to be used by
**any** project that needs these files.

It intentionally does **not** provide
any extra code except some metadata
**nor** has any extra requirements. You MAY
use some minimal support code from
the XStatic base package, if you like.

%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary:        Angular (XStatic packaging standard)

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  web-assets-devel

Requires: python3-XStatic
Requires: XStatic-Angular-common = %{epoch}:%{version}-%{release}

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Angular JavaScript library packaged for
setuptools (easy_install) / pip.

This package is intended to be used by
**any** project that needs these files.

It intentionally does **not** provide
any extra code except some metadata
**nor** has any extra requirements. You MAY
use some minimal support code from
the XStatic base package, if you like.

%endif

%package -n XStatic-Angular-common
Requires: web-assets-filesystem
Summary:     Common files for XStatic-Angular (XStatic packaging standard)
%description -n XStatic-Angular-common
Common files for XStatic-Angular (XStatic packaging standard)

%prep
%autosetup -n %{pypi_name}-%{version}

# patch to use webassets dir
sed -i "s|^BASE_DIR = .*|BASE_DIR = '%{_jsdir}/angular'|" xstatic/pkg/angular/__init__.py


%build
# due
# https://bitbucket.org/thomaswaldmann/xstatic/issue/2/
# this package can not be built with python-XStatic installed.
%py2_build
%if 0%{?with_python3}
%py3_build
%endif


%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif

# move angular.js to appropriate _jsdir
mkdir -p %{buildroot}/%{_jsdir}/angular
mv %{buildroot}/%{python2_sitelib}/xstatic/pkg/angular/data/angular* %{buildroot}/%{_jsdir}/angular



%files -n python2-%{pypi_name}
%doc README.txt
%{python2_sitelib}/xstatic/pkg/angular
%{python2_sitelib}/XStatic_Angular-%{version}-py%{python2_version}.egg-info
%{python2_sitelib}/XStatic_Angular-%{version}-py%{python2_version}-nspkg.pth

%files -n XStatic-Angular-common
%{_jsdir}/angular

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.txt
%{python3_sitelib}/xstatic/pkg/angular
%{python3_sitelib}/XStatic_Angular-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/XStatic_Angular-%{version}-py%{python3_version}-nspkg.pth
%endif


%changelog
* Mon Feb  6 2017 Haïkel Guémar <hguemar@fedoraproject.org> - 1:1.5.8.0-1
- Upstream 1.5.8.0

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1:1.3.7.0-10
- Rebuild for Python 3.6

* Sun Sep 04 2016 Matthias Runge <mrunge@redhat.com> -1:1.3.7.0-9
- fix dependencies with -common

* Tue Aug 30 2016 Matthias Runge <mrunge@redhat.com> -1:1.3.7.0-8
- provide a python3 package (rhbz#1365037)

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.3.7.0-7
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.3.7.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.3.7.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Apr 10 2015 Matthias Runge <mrunge@redhat.com> - 1:1.3.7.0-4
- provide obsoleted python-XStatic-Angular-Cookies (rhbz#1210692)

* Thu Feb 12 2015 Matthias Runge <mrunge@redhat.com> - 1:1.3.7.0-3
- introduce epoch due to bump in f22

* Thu Jan 15 2015 Matthias Runge <mrunge@redhat.com> - 1.3.7.0-2
- include the rest of additional angular files
- obsolete python-XStatic-Angular-Cookies

* Mon Jan 12 2015 Matthias Runge <mrunge@redhat.com> - 1.3.7.0-1
- update to 1.3.7.0

* Wed Aug 27 2014 Matthias Runge <mrunge@redhat.com> - 1.2.1.1-1
- Initial package.
